<div class="affiliate-box-settings-row">

    <div class="affiliate-box-settings-col-1">
        <span class="affiliate-settings-label"><?php esc_html_e( 'Facebook URL', Auto_Affiliate::DOMAIN ); ?></span>
        <span class="affiliate-description"><?php esc_html_e( 'You can select post from faceook group or profile url.', Auto_Affiliate::DOMAIN ); ?></span>
    </div>

    <div class="affiliate-box-settings-col-2">

        <div class="sui-side-tabs">
            <div class="sui-tabs-menu">
                <div class="sui-tab-item facebook_source_type <?php if(isset($settings['facebook_source_type']) && $settings['facebook_source_type'] == 'profile'){echo 'active';}else if(!isset($settings['facebook_source_type'])){echo 'active';} ?>" data-nav="profile"><?php esc_html_e( 'Profile', Auto_Affiliate::DOMAIN ); ?></div>
                <div class="sui-tab-item facebook_source_type <?php if(isset($settings['facebook_source_type']) && $settings['facebook_source_type'] == 'group'){echo 'active';} ?>" data-nav="group"><?php esc_html_e( 'Group', Auto_Affiliate::DOMAIN ); ?></div>
            </div>
        </div>

        <div class="sui-tabs-content">
            <div class="sui-tab-content <?php if(isset($settings['facebook_source_type']) && $settings['facebook_source_type'] == 'profile'){echo 'active';}else if(!isset($settings['facebook_source_type'])){echo 'active';} ?>" id="profile">
                <div class="affiliate-form-field">
                    <label for="facebook_user" id="facebook-user-label" class="affiliate-label">
                        <span>
                        <?php
                        printf(
                            esc_html__( 'The user feed is only accessiable after the user grants the "user_posts" permission. Check the %1$s)', Auto_Affiliate::DOMAIN ),
                            '<a href="https://developers.facebook.com/tools/explorer/">Facebook API</a>'
                        );
                        ?>
                        </span>
                    </label>
                </div>
            </div>

            <div class="sui-tab-content <?php if(isset($settings['facebook_source_type']) && $settings['facebook_source_type'] == 'group'){echo 'active';} ?>" id="group">
                <div class="affiliate-form-field">
                    <label for="facebook_group" id="facebook-group" class="affiliate-label">
                        <span>
                        <?php
                        printf(
                            esc_html__( 'Facebook page name(after facebook.com at the thewphobby link, for example "thewphobby" for  %1$s)', Auto_Affiliate::DOMAIN ),
                            '<a href="https://www.facebook.com/thewphobby/">this page</a>'
                        );
                        ?>
                        </span>
                    </label>
                    <input
                        type="text"
                        name="facebook_group"
                        placeholder="<?php esc_html_e( 'Enter your facebook group name here', Auto_Affiliate::DOMAIN ); ?>"
                        value="<?php if(isset($settings['facebook_group'])){echo $settings['facebook_group'];} ?>""
                        id="facebook-group"
                        class="affiliate-form-control"
                        aria-labelledby="facebook_group"
                    />
                </div>
            </div>
        </div>


    </div>

</div>
