<?php
$feature_image_checked = isset($settings['affiliate_feature_image']) && $settings['affiliate_feature_image']== 'on' ? 'checked' : '';
$save_image_checked = isset($settings['affiliate_save_image']) && $settings['affiliate_save_image']== 'on' ? 'checked' : '';
?>
<div id="post-images" class="affiliate-box-tab" data-nav="post-images" >

    <div class="affiliate-box-header">
        <h2 class="affiliate-box-title"><?php esc_html_e( 'Post Images Settings', Auto_Affiliate::DOMAIN ); ?></h2>
    </div>

    <div class="affiliate-box-body">
        <div class="affiliate-box-settings-row">
            <div class="affiliate-box-settings-col-1">
                <span class="affiliate-settings-label"><?php esc_html_e( 'Post Feature Image', Auto_Affiliate::DOMAIN ); ?></span>
                <span class="affiliate-description"><?php esc_html_e( 'Set product image as featured image.', Auto_Affiliate::DOMAIN ); ?></span>
            </div>
            <div class="affiliate-box-settings-col-2">
                <label class="switch" for="feature-image">
                   <input type="checkbox" id="feature-image" name='affiliate_feature_image' <?php echo esc_attr($feature_image_checked); ?> />
                   <div class="slider round"></div>
                </label>
                <p>
                    <span class="affiliate-description">
                        <a href="<?php echo esc_url( 'https://www.php.net/manual/en/filesystem.configuration.php#ini.allow-url-fopen' );?>">
                            <?php esc_html_e( 'Note: You need to enable allow_url_fopen in your php.ini', Auto_Affiliate::DOMAIN ); ?>
                        </a>
                    </span>
                </p>
            </div>
        </div>

    </div>

</div>


