<?php
$status = isset( $settings['status'] ) ? sanitize_text_field( $settings['status'] ) : 'draft';
?>
<div id="auto-affiliate-builder-status" class="affiliate-box affiliate-box-sticky">
    <div class="affiliate-box-status">
        <div class="affiliate-status">
            <div class="affiliate-status-module">
                <?php esc_html_e( 'Status', Auto_Affiliate::DOMAIN ); ?>
                    <?php
                    if( $status === 'draft'){
                        ?>
                    <span class="affiliate-tag affiliate-tag-draft">
                        <?php esc_html_e( 'draft', Auto_Affiliate::DOMAIN ); ?>
                    </span>
                    <?php
                    }else if($status === 'publish'){
                        ?>
                    <span class="affiliate-tag affiliate-tag-published">
                       <?php esc_html_e( 'published', Auto_Affiliate::DOMAIN ); ?>
                    </span>
                    <?php
                    }
                    ?>
            </div>
            <div class="affiliate-status-changes">

            </div>
        </div>
        <div class="affiliate-actions">
            <button id="affiliate-campaign-save" class="affiliate-button" type="button">
                <span class="affiliate-loading-text">
                    <ion-icon name="reload-circle"></ion-icon>
                    <span class="button-text campaign-save-text">
                        <?php
                        if($status === 'publish'){
                            echo esc_html( 'unpublish', Auto_Affiliate::DOMAIN );
                        }else{
                            echo esc_html( 'save draft', Auto_Affiliate::DOMAIN );
                        }
                        ?>
                    </span>
                </span>
            </button>
            <button id="affiliate-campaign-publish" class="affiliate-button affiliate-button-blue" type="button">
                <span class="affiliate-loading-text">
                    <ion-icon name="save"></ion-icon>
                    <span class="button-text campaign-publish-text">
                        <?php
                        if($status === 'publish'){
                            echo esc_html( 'update', Auto_Affiliate::DOMAIN );
                        }else{
                            echo esc_html( 'publish', Auto_Affiliate::DOMAIN );
                        }
                        ?>
                    </span>
                </span>
            </button>
        </div>
    </div>
</div>
