<?php
$total_modules = auto_affiliate_total_forms();
$count_active  = auto_affiliate_total_forms( 'publish' );
$last_run      = auto_affiliate_campaigns_last_run();
?>
<div class="affiliate-box affiliate-summary">

	<div class="affiliate-summary-image-space" aria-hidden="true"></div>

    <div class="affiliate-summary-segment">

        <div class="affiliate-summary-details">

            <?php if ( 0 < $total_modules ) { ?>
                <span class="affiliate-summary-large"><?php echo esc_html( $total_modules ); ?></span>
            <?php } else { ?>
                <span class="affiliate-summary-large">0</span>
            <?php } ?>

            <?php if ( 1 === $total_modules ) { ?>
                <span class="affiliate-summary-sub"><?php esc_html_e( 'Active Campaign', Auto_Affiliate::DOMAIN ); ?></span>
            <?php } else { ?>
                <span class="affiliate-summary-sub"><?php esc_html_e( 'Active Campaigns', Auto_Affiliate::DOMAIN ); ?></span>
            <?php } ?>

            <?php if ( $total_modules > 0 ) { ?>
                <span class="affiliate-summary-detail"><strong><?php echo esc_html( $last_run ); ?></strong></span>
            <?php } else { ?>
                <span class="affiliate-summary-detail"><strong><?php esc_html_e( 'Never', Auto_Affiliate::DOMAIN ); ?></strong></span>
            <?php } ?>

            <span class="affiliate-summary-sub"><?php esc_html_e( 'Last Run', Auto_Affiliate::DOMAIN ); ?></span>

        </div>

    </div>

</div>
