<?php
$affiliate_campaign_per_page = isset($settings['affiliate-campaign-per-page']) ? $settings['affiliate-campaign-per-page'] : 10;
?>
<div class="affiliate-box-settings-row">

    <div class="affiliate-box-settings-col-1">
        <span class="affiliate-settings-label"><?php esc_html_e( 'Pagination', Auto_Affiliate::DOMAIN ); ?></span>
        <span class="affiliate-description"><?php esc_html_e( 'Choose the number of items to show per page on your campaigns listing pages.', Auto_Affiliate::DOMAIN ); ?></span>
    </div>

    <div class="affiliate-box-settings-col-2">

        <label class="affiliate-settings-label"><?php esc_html_e( 'Campaign Limit', Auto_Affiliate::DOMAIN ); ?></label>

        <span class="affiliate-description"><?php esc_html_e( 'Choose the number of campaigns to show on each listing page.', Auto_Affiliate::DOMAIN ); ?></span>

        <div class="affiliate-form-field">
            <input type="number"
                   name="affiliate-campaign-per-page"
                   placeholder="<?php esc_html_e( '10', Auto_Affiliate::DOMAIN ); ?>"
                   value="<?php echo esc_attr( $affiliate_campaign_per_page ); ?>"
                   min="1"
                   id="affiliate_campaign_per_page"
                   class="affiliate-form-control affiliate-required affiliate-input-sm affiliate-field-has-suffix"/>
        </div>


    </div>

</div>
