<?php
$settings = get_option('auto_affiliate_global_settings');
$sites = array(
    "asos_com" => "asos.com",
    "coolblue_be" => "coolblue.be",
    "coolblue_be" => "coolblue.be",
    "coolblue_be" => "coolblue.be",
    "coupang_com" => "coupang.com",
    "ebay_com_au" => "ebay.com.au",
    "ebay_co_uk" => "ebay.co.uk",
    "ebay_es" => "ebay.es",
    "ebay_fr" => "ebay.fr",
    "ebay_it" => "ebay.it",
    "ebay_com" => "ebay.com",
    "firstcry_com" => "firstcry.com",
    "gearbest_com" => "gearbest.com",
    "iherb_com" => "iherb.com",
    "industrybuying_com" => "industrybuying.com",
    "jumia_com_eg" => "jumia.com.eg",
    "jumia_co_ke" => "jumia.co.ke",
    "jumia_com_ng" => "jumia.com.ng",
    "jumia_ug" => "jumia.ug",
    "newegg_com" => "newegg.com",
    "snapdeal_com" => "snapdeal.com",
    "stylus_ua" => "stylus.ua",
    "tigerfitness_com" => "tigerfitness.com",
    "tomtop_com" => "tomtop.com",
    "tiki_vn" => "tiki.vn",
    "wiggle_com" => "wiggle.com",
);
?>
<div id="deeplink" class="affiliate-box-tab" data-nav="deeplink" >

    <div class="affiliate-box-header">
        <h2 class="affiliate-box-title"><?php esc_html_e( 'Deeplink Settings', Auto_Affiliate::DOMAIN ); ?></h2>
    </div>

    <form class="affiliate-settings-form" method="post" action="">

    <div class="affiliate-box-body">
        <?php foreach ( $sites as $key => $value ) : ?>
            <?php
                $single_site = 'affiliate-'.$key.'-deeplink';
                $affiliate_deeplink = isset($settings[$single_site]) ? $settings[$single_site] : '';
            ?>
            <div class="affiliate-box-settings-row">
                <div class="affiliate-box-settings-col-1">
                    <span class="affiliate-settings-label"><?php echo esc_html( $value ); ?></span>
                </div>
                <div class="affiliate-box-settings-col-2">
                    <input type="text"
                    name="affiliate-<?php echo esc_attr( $key ); ?>-deeplink"
                    placeholder=""
                    value="<?php echo esc_attr( $affiliate_deeplink ); ?>"
                    id="affiliate-<?php echo esc_attr( $key ); ?>-deeplink"
                    class="affiliate-form-control affiliate-required affiliate-input-sm affiliate-field-has-suffix"/>
                </div>
            </div>
        <?php endforeach; ?>
    </div>

    <div class="affiliate-box-footer">

        <div class="affiliate-actions-right">

            <button class="affiliate-save-settings affiliate-button affiliate-button-blue" type="button">
                <span class="affiliate-loading-text"><?php esc_html_e( 'Save Settings', Auto_Affiliate::DOMAIN ); ?></span>
            </button>

        </div>

    </div>

    </form>



</div>


