<?php

defined('\ABSPATH') || exit;

/**
 * TomtopcomParser class file
 *
 */
class TomtopcomParser extends MicrodataShopParser {

    protected $charset = 'utf-8';
    protected $currency = 'USD';

    public function parseCatalog($max)
    {
        return $this->xpathArray(".//*[@class='productTitle']/@href");
    }

    public function parseOldPrice()
    {

    }

    public function getCurrency()
    {
        $currency = $this->xpathScalar(".//*[@class='top_nav_right']//span[@class='flag_currency']");
        if ($currency && strlen($currency) == 3)
            return $currency;
        else
            return parent::getCurrency();
    }

}
