<?php
/**
 * Auto_Affiliate_Import_Page Class
 *
 * @since  1.0.0
 * @package Auto Affiliate
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit;
} // Exit if accessed directly

if ( ! class_exists( 'Auto_Affiliate_Import_Page' ) ) :

    class Auto_Affiliate_Import_Page extends Auto_Affiliate_Admin_Page {

        /**
         * Add page screen hooks
         *
         * @since 1.0.0
         * @param $hook
         */
        public function enqueue_scripts( $hook ) {

            // Load admin styles
			auto_affiliate_admin_enqueue_styles( AUTO_AFFILIATE_VERSION );

            $auto_affiliate_data = new Auto_Affiliate_Admin_Data();

        	// Load admin import scripts
        	auto_affiliate_admin_enqueue_scripts_import(
            	AUTO_AFFILIATE_VERSION,
            	$auto_affiliate_data->get_options_data()
        	);


        }
    }

endif;