<?php
$templates = array(
    'rss' => array(
        'thumbnail'   => AUTO_AFFILIATE_URL.'assets/images/type/rss.png',
        'label'       => 'RSS',
    ),
    'text' => array(
        'thumbnail'   => AUTO_AFFILIATE_URL.'assets/images/type/text.png',
        'label'       => 'Text',
    ),
    'wordpress' => array(
        'thumbnail'   => AUTO_AFFILIATE_URL.'assets/images/type/wordpress.png',
        'label'       => 'Wordpress',
    ),
    'twitter' => array(
        'thumbnail'   => AUTO_AFFILIATE_URL.'assets/images/type/twitter.png',
        'label'       => 'Twitter',
    ),
);
?>
<div class="modal">
        <div class="modal-content am-form-template-modal" id="aa-type-selector-popup">
            <span class="auto-affiliate-close-button">×</span>
            <div class="auto-affiliate-box-header auto-affiliate-block-content-center">
		<h3 class="auto-affiliate-box-title type-title"><?php esc_html_e( 'Choose a template', Pretty_News_Ticker::DOMAIN ); ?></h3>
	</div>

    <div class="auto-affiliate-box-body auto-affiliate-block-content-center">
        <p class="auto-affiliate-description">
            <?php esc_html_e( 'Select your new form template.', Pretty_News_Ticker::DOMAIN ); ?>
        </p>
    </div>
    <div class="hub-box-selectors hub-box-selectors-col-2">
					<ul class="type-list">
                        <?php foreach ( $templates as $template_name => $data ) { ?>
						<li>
							<label for="hub-type-<?php echo esc_html($template_name);?>" class="hub-box-selector hub-box-selector-vertical">
								<input type="radio" name="hub-selected-type" id="hub-type-<?php echo esc_html($template_name);?>" class="hub-type" value="rss" checked="checked">
								<span class="hub-plantform" data-plantform="<?php echo esc_html($template_name);?>">
									<img src="<?php echo esc_url( $data['thumbnail'] );?>" class="hub-icon" alt="<?php echo esc_attr( $data['label'] );?>">
									<?php esc_html_e( $data['label'] );?>
								</span>
							</label>
						</li>
                        <?php } ?>
					</ul>
	</div>

	            <div class="hub-box-footer">
					<div class="hub-actions-right">

						<button class="hub-button poster-hub-select-type hub-go-wizard">
							<span class="hub-loading-text"><?php esc_html_e( 'Continue', Pretty_News_Ticker::DOMAIN ); ?></span>
							<i class="hub-icon-load hub-loading" aria-hidden="true"></i>
						</button>

					</div>
				</div>
                <img src="<?php echo esc_url(AUTO_AFFILIATE_URL.'assets/images/auto-affiliate.png'); ?>" class="hub-image hub-image-center" aria-hidden="true" alt="<?php esc_attr_e( 'Poster Hub', Pretty_News_Ticker::DOMAIN ); ?>">
        </div>
    </div>