<?php
$source = isset( $_GET['source'] ) ? sanitize_text_field( $_GET['source'] ) : 'dashboard';
?>
<div class="affiliate-box-settings-row">

    <div class="affiliate-box-settings-col-1">
        <span class="affiliate-settings-label"><?php esc_html_e( 'Campaign Name', Auto_Affiliate::DOMAIN ); ?></span>
    </div>

    <div class="affiliate-box-settings-col-2">

        <div>
            <input
                type="text"
                name="affiliate_campaign_name"
                placeholder="<?php esc_html_e( 'Enter your Campaign Name here', Auto_Affiliate::DOMAIN ); ?>"
                value="<?php if(isset($settings['affiliate_campaign_name'])){echo $settings['affiliate_campaign_name'];}?>"
                id="affiliate_campaign_name"
                class="affiliate-form-control"
                aria-labelledby="affiliate_campaign_name"
            />
        </div>

        <?php if( isset($source) && $source !== 'rss'): ?>

        <p>
          <span class="affiliate-description">
              <a href="<?php echo admin_url( 'admin.php?page=auto-affiliate-integrations' );?>">
                  <?php esc_html_e( 'Note: Please Remember to Setup Application API before run this campaign', Auto_Affiliate::DOMAIN ); ?>
              </a>
          </span>
        </p>

        <?php endif; ?>


    </div>

</div>
