<?php
$full_content_checked = isset($settings['affiliate_content_options']) && $settings['affiliate_content_options']== 'full_content' ? 'checked' : '';
$excerpt_checked = isset($settings['affiliate_content_options']) && $settings['affiliate_content_options']== 'excerpt' ? 'checked' : '';

if(!isset($settings['affiliate_content_options'])){
    $full_content_checked  = 'checked';
}
?>
<div class="affiliate-box-settings-row">

    <div class="affiliate-box-settings-col-1">
        <span class="affiliate-settings-label"><?php esc_html_e( 'Post Content', Auto_Affiliate::DOMAIN ); ?></span>
    </div>

    <div class="affiliate-box-settings-col-2">
        <div class="affiliate-content-options">
            <input type="radio" name="affiliate_content_options" id="affiliate_full_content" value="full_content" <?php echo esc_attr($full_content_checked); ?> />
            <label for="affiliate_full_content">Full Content</label>
            <input type="radio" name="affiliate_content_options" id="affiliate_excerpt" value="excerpt" <?php echo esc_attr($excerpt_checked); ?>/>
            <label for="affiliate_excerpt">Excerpt</label>
        </div>
    </div>

</div>