<div class="affiliate-box-settings-row">

    <div class="affiliate-box-settings-col-1">
        <span class="affiliate-settings-label"><?php esc_html_e( 'Keywords', Auto_Affiliate::DOMAIN ); ?></span>
        <span class="affiliate-description"><?php esc_html_e( 'Customize the dashboard as per your liking.', Auto_Affiliate::DOMAIN ); ?></span>
    </div>

    <div class="affiliate-box-settings-col-2">

        <div class="sui-side-tabs">
            <div class="sui-tabs-menu">
                <div class="sui-tab-item active" data-nav="default"><?php esc_html_e( 'Specify User', Auto_Affiliate::DOMAIN ); ?></div>
                <div class="sui-tab-item" data-nav="custom"><?php esc_html_e( 'Keywords', Auto_Affiliate::DOMAIN ); ?></div>
            </div>
        </div>

        <div class="sui-tabs-content">
            <div class="sui-tab-content active" id="default">
                <div class="affiliate-form-field">
                    <label for="instagram_user" id="instagram-user-label" class="affiliate-label">
                        <span>
                        <?php
                        printf(
                            esc_html__( 'Instagram username(after instagram.com at the user link, for example "bbc" for  %1$s)', Auto_Affiliate::DOMAIN ),
                            '<a href="https://www.instagram.com/bbc/">this user</a>'
                        );
                        ?>
                        </span>
                    </label>
                    <input
                        type="text"
                        name="instagram_user"
                        placeholder="<?php esc_html_e( 'Enter your instagram username here', Auto_Affiliate::DOMAIN ); ?>"
                        value="<?php if(isset($settings['instagram_user'])){echo $settings['instagram_user'];}?>"
                        id="instagram-user"
                        class="affiliate-form-control"
                        aria-labelledby="instagram_user"
                    />
                    <p>
                     <span class="affiliate-description">
                        <?php
                        printf(
                            esc_html__( 'Note: Follow %1$s your Instagram SessionID before get instagram data.', Auto_Affiliate::DOMAIN ),
                            '<a href="https://wpautoaffiliate.com/document/api-settings/how-to-setup-instagram-api-settings/">these instructions to retrieve</a>'
                        );
                        ?>
                     </span>
                    </p>
                </div>
            </div>

            <div class="sui-tab-content" id="custom">
                <div class="affiliate-form-field">
                    <label for="instagram_search" id="instagram-feed-link" class="affiliate-label"><?php esc_html_e( 'search keyword', Auto_Affiliate::DOMAIN ); ?></label>
                    <input
                        type="text"
                        name="instagram_search"
                        placeholder="<?php esc_html_e( 'Enter your search keyword here', Auto_Affiliate::DOMAIN ); ?>"
                        value=""
                        id="instagram-search"
                        class="affiliate-form-control"
                        aria-labelledby="instagram_search"
                    />
                </div>

                <div class="affiliate-search-results-wrapper">
                    <ul class="search-result-list">
                        <script type="text/template" id="tmpl-instagram-search-results">
                            <# if ( data.length ) { #>
                                <# for ( key in data ) { #>
                                    <li>
                                        <a href="#">
                                            <span class="affiliate-keyword-selected" data-keyword="{{{ data[ key ] }}}" >{{{ data[ key ] }}}</span>
                                        </a>
                                    </li>
                                    <# } #>
                                        <# } else { #>
                                            <p class="no-source">
                                                <?php esc_html_e( 'No source.', 'auto-instagram' ); ?>
                                            </p>
                                            <# } #>
                        </script>
                    </ul>
                </div>

                <div class="affiliate-form-field">
                    <label for="instagram_selected_keywords" id="instagram-feed-link" class="affiliate-label"><?php esc_html_e( 'Selected Keywords', Auto_Affiliate::DOMAIN ); ?></label>
                    <textarea class="affiliate-form-control" id="instagram-selected-keywords" rows="5" cols="20" name="instagram_selected_keywords" required="required"><?php if(isset($settings['instagram_selected_keywords'])){echo $settings['instagram_selected_keywords'];}?></textarea>
                </div>
            </div>
        </div>

    </div>

</div>
