<div class="affiliate-box-settings-row">

    <div class="affiliate-box-settings-col-1">
        <span class="affiliate-settings-label"><?php esc_html_e( 'Keywords', Auto_Affiliate::DOMAIN ); ?></span>
        <span class="affiliate-description"><?php esc_html_e( 'Customize the dashboard as per your liking.', Auto_Affiliate::DOMAIN ); ?></span>
    </div>

    <div class="affiliate-box-settings-col-2">

        <label class="affiliate-settings-label"><?php esc_html_e( 'Campaign keywords', Auto_Affiliate::DOMAIN ); ?></label>

        <span class="affiliate-description"><?php esc_html_e( 'Campaign keywords (search for these keywords) (comma separated).', Auto_Affiliate::DOMAIN ); ?></span>

        <div class="affiliate-form-field">
            <label for="affiliate_search" id="affiliate-feed-link" class="affiliate-label"><?php esc_html_e( 'search keyword', Auto_Affiliate::DOMAIN ); ?></label>
            <input
                type="text"
                name="affiliate_search"
                placeholder="<?php esc_html_e( 'Enter your search keyword here', Auto_Affiliate::DOMAIN ); ?>"
                value=""
                id="affiliate-search"
                class="affiliate-form-control"
                aria-labelledby="affiliate_search"
            />
        </div>

        <div class="affiliate-search-results-wrapper">
            <ul class="search-result-list">
                <script type="text/template" id="tmpl-affiliate-search-results">
                    <# if ( data.length ) { #>
                        <# for ( key in data ) { #>
                            <li>
                                <a href="#">
                                    <span class="affiliate-keyword-selected" data-keyword="{{{ data[ key ] }}}" >{{{ data[ key ] }}}</span>
                                </a>
                            </li>
                            <# } #>
                                <# } else { #>
                                    <p class="no-source">
                                        <?php esc_html_e( 'No source.', 'auto-affiliate' ); ?>
                                    </p>
                                    <# } #>
                </script>
            </ul>
        </div>

        <div class="affiliate-form-field">
            <label for="affiliate_selected_keywords" id="affiliate-feed-link" class="affiliate-label"><?php esc_html_e( 'Selected Keywords', Auto_Affiliate::DOMAIN ); ?></label>
            <textarea class="affiliate-form-control" id="affiliate-selected-keywords" rows="5" cols="20" name="affiliate_selected_keywords" required="required"><?php if(isset($settings['affiliate_selected_keywords'])){echo $settings['affiliate_selected_keywords'];}?></textarea>
        </div>


    </div>

</div>
