<div class="affiliate-box-settings-row">

    <div class="affiliate-box-settings-col-1">
        <span class="affiliate-settings-label"><?php esc_html_e( 'Source', Auto_Affiliate::DOMAIN ); ?></span>
        <span class="affiliate-description"><?php esc_html_e( 'Select source from playlist, channel ans search keywords', Auto_Affiliate::DOMAIN ); ?></span>
    </div>

    <div class="affiliate-box-settings-col-2">

        <div class="source-select-container">
            <span class="source-dropdown-handle" aria-hidden="true">
                <ion-icon name="chevron-down" class="affiliate-icon-down"></ion-icon>
            </span>
            <div class="source-select-list-container">
                <button type="button" class="source-list-value" id="source-affiliate-field-unit-button" value="Playlist">
                    <?php
                    if(isset($settings['affiliate_youtube_source_category'])){
                        echo $settings['affiliate_youtube_source_category'];
                    }else{
                        esc_html_e( 'Playlist', Auto_Affiliate::DOMAIN );
                    }
                    ?>
                </button>
                <ul tabindex="-1" role="listbox" class="source-list-results source-affiliate-sidenav-hide-md" >
                    <li data-nav="playlist"><?php esc_html_e( 'playlist', Auto_Affiliate::DOMAIN ); ?></li>
                    <li data-nav="channel"><?php esc_html_e( 'channel', Auto_Affiliate::DOMAIN ); ?></li>
                    <li data-nav="keywords"><?php esc_html_e( 'keywords', Auto_Affiliate::DOMAIN ); ?></li>
                </ul>
            </div>
        </div>

        <div class="sui-tabs-content">
            <div class="sui-tab-content active" id="playlist">
                <div class="affiliate-form-field">
                    <label for="affiliate_youtube_playlist" id="affiliate-youtube-playlist-label" class="affiliate-label">
                        <span>
                        <?php
                        printf(
                            esc_html__( 'The ID after the list, for example "PL4o29bINVT4EG_y-k5jGoOu3-Am8Nvi10" for  %1$s)', Auto_Affiliate::DOMAIN ),
                            '<a href="https://www.affiliate.com/watch?v=SlPhMPnQ58k&list=PL4o29bINVT4EG_y-k5jGoOu3-Am8Nvi10/">this playlist</a>'
                        );
                        ?>
                        </span>
                    </label>
                    <input
                        type="text"
                        name="affiliate_youtube_playlist"
                        placeholder="<?php esc_html_e( 'Enter your affiliate playlist id here', Auto_Affiliate::DOMAIN ); ?>"
                        value="<?php if(isset($settings['affiliate_youtube_playlist'])){echo $settings['affiliate_youtube_playlist'];}?>"
                        id="affiliate-youtube-playlist"
                        class="affiliate-form-control"
                        aria-labelledby="affiliate_youtube_playlist"
                    />
                </div>
            </div>

            <div class="sui-tab-content" id="channel">
                <label for="affiliate_youtube_channel" id="affiliate-youtube-channel-label" class="affiliate-label">
                    <p>
                        <span>
                        <?php
                        printf(
                            esc_html__( 'The ID after the channel, for example "UC94pBdaUbepV5n3_F_isSWg" for  %1$s)', Auto_Affiliate::DOMAIN ),
                            '<a href="https://www.affiliate.com/channel/UC94pBdaUbepV5n3_F_isSWg/">this channel</a>'
                        );
                        ?>
                        </span>
                    </p>
                </label>
                <input
                    type="text"
                    name="affiliate_youtube_channel"
                    placeholder="<?php esc_html_e( 'Enter your affiliate channel id here', Auto_Affiliate::DOMAIN ); ?>"
                    value="<?php if(isset($settings['affiliate_youtube_channel'])){echo $settings['affiliate_youtube_channel'];}?>"
                    id="affiliate-youtube-channel"
                    class="affiliate-form-control"
                    aria-labelledby="affiliate_youtube_channel"
                />
            </div>

            <div class="sui-tab-content" id="keywords">
                <div class="affiliate-form-field">
                    <label for="affiliate_search" id="affiliate-feed-link" class="affiliate-label"><?php esc_html_e( 'search keyword', Auto_Affiliate::DOMAIN ); ?></label>
                    <input
                        type="text"
                        name="affiliate_search"
                        placeholder="<?php esc_html_e( 'Enter your search keyword here', Auto_Affiliate::DOMAIN ); ?>"
                        value=""
                        id="affiliate-search"
                        class="affiliate-form-control"
                        aria-labelledby="affiliate_search"
                    />
                </div>

                <div class="affiliate-search-results-wrapper">
                    <ul class="search-result-list">
                        <script type="text/template" id="tmpl-affiliate-search-results">
                            <# if ( data.length ) { #>
                                <# for ( key in data ) { #>
                                    <li>
                                        <a href="#">
                                            <span class="affiliate-keyword-selected" data-keyword="{{{ data[ key ] }}}" >{{{ data[ key ] }}}</span>
                                        </a>
                                    </li>
                                    <# } #>
                                        <# } else { #>
                                            <p class="no-source">
                                                <?php esc_html_e( 'No source.', 'auto-affiliate' ); ?>
                                            </p>
                                            <# } #>
                        </script>
                    </ul>
                </div>

                <div class="affiliate-form-field">
                    <label for="affiliate_selected_keywords" id="affiliate-feed-link" class="affiliate-label"><?php esc_html_e( 'Selected Keywords', Auto_Affiliate::DOMAIN ); ?></label>
                    <textarea class="affiliate-form-control" id="affiliate-selected-keywords" rows="5" cols="20" name="affiliate_selected_keywords" required="required"><?php if(isset($settings['affiliate_selected_keywords'])){echo $settings['affiliate_selected_keywords'];}?></textarea>
                </div>
            </div>
        </div>

    </div>

</div>
