<?php
$spin_rewriter_checked = isset($settings['affiliate_spin_rewriter']) && $settings['affiliate_spin_rewriter']== 'on' ? 'checked' : '';
?>
<div id="rewriter" class="affiliate-box-tab" data-nav="rewriter" >

    <div class="affiliate-box-header">
        <h2 class="affiliate-box-title"><?php esc_html_e( 'Enable Spin Rewriter', Auto_Affiliate::DOMAIN ); ?></h2>
    </div>

    <div class="affiliate-box-body">
        <div class="affiliate-box-settings-row">
            <div class="affiliate-box-settings-col-1">
                <span class="affiliate-settings-label"><?php esc_html_e( 'Enable Spin Rewriter', Auto_Affiliate::DOMAIN ); ?></span>
                <span class="affiliate-description"><?php esc_html_e( 'Enable Spin Rewriter or not.', Auto_Affiliate::DOMAIN ); ?></span>
            </div>
            <div class="affiliate-box-settings-col-2">
                <label class="switch" for="spin-rewriter">
                   <input type="checkbox" id="spin-rewriter" name='affiliate_spin_rewriter' <?php echo esc_attr($spin_rewriter_checked); ?> />
                   <div class="slider round"></div>
                </label>
                <p>
                    <span class="affiliate-description">
                        <a href="<?php echo esc_url( 'https://www.spinrewriter.com/?ref=50f2e' );?>">
                            <?php esc_html_e( 'Note: You need the unique Spin Rewriter API key for this services', Auto_Affiliate::DOMAIN ); ?>
                        </a>
                    </span>
                </p>
                <p>
                    <span class="affiliate-description">
                        <a href="<?php echo admin_url( 'admin.php?page=auto-affiliate-integrations' ); ?>">
                            <?php esc_html_e( 'Note: Please select the spin rewriter service and enter API key here', Auto_Affiliate::DOMAIN ); ?>
                        </a>
                    </span>
                </p>
            </div>
        </div>
    </div>

</div>


