<div id="test-popup" class="white-popup mfp-with-anim mfp-hide">

			<div class="step-1">
				<div class="affiliate-box-header affiliate-block-content-center">
					<h3 class="affiliate-box-title type-title"><?php esc_html_e( 'Choose a type', Auto_Affiliate::DOMAIN ); ?></h3>
				</div>

                <div class="affiliate-box-body affiliate-block-content-center">

                    <p class="affiliate-description">
                        <?php esc_html_e( 'Select your campaign source data type.', Auto_Affiliate::DOMAIN ); ?>
                    </p>

                </div>

				<div class="affiliate-box-selectors affiliate-box-selectors-col-2">
					<ul class="type-list">
						<li>
							<label for="affiliate-type-rss" class="affiliate-box-selector">
								<input type="radio" name="affiliate-selected-type" id="affiliate-type-rss" class="affiliate-type" value="rss" checked="checked">
								<span>
									<ion-icon name="logo-rss" class="affiliate-icon"></ion-icon>
									<?php esc_html_e( 'Feed', Auto_Affiliate::DOMAIN ); ?>
								</span>
							</label>
						</li>
						<li>
							<label for="affiliate-type-social" class="affiliate-box-selector">
								<input type="radio" name="affiliate-selected-type" id="affiliate-type-social" class="affiliate-type" value="social">
								<span>
									<ion-icon name="share-social" class="affiliate-icon"></ion-icon>
									<?php esc_html_e( 'Social Media', Auto_Affiliate::DOMAIN ); ?>
								</span>
							</label>
						</li>
						<li>
							<label for="affiliate-type-video" class="affiliate-box-selector">
								<input type="radio" name="affiliate-selected-type" id="affiliate-type-video" class="affiliate-type" value="video">
								<span>
									<ion-icon name="videocam" class="affiliate-icon"></ion-icon>
									<?php esc_html_e( 'Video', Auto_Affiliate::DOMAIN ); ?>
								</span>
							</label>
						</li>
						<li>
							<label for="affiliate-type-sound" class="affiliate-box-selector">
								<input type="radio" name="affiliate-selected-type" id="affiliate-type-sound" class="affiliate-type" value="sound">
								<span>
									<ion-icon name="musical-notes" class="affiliate-icon"></ion-icon>
									<?php esc_html_e( 'Sound', Auto_Affiliate::DOMAIN ); ?>
								</span>
							</label>
						</li>
					</ul>
				</div>

				<div class="affiliate-box-footer">
					<div class="affiliate-actions-right">

						<button class="affiliate-button auto-affiliate-select-type">
							<span class="affiliate-loading-text"><?php esc_html_e( 'Continue', Auto_Affiliate::DOMAIN ); ?></span>
							<i class="affiliate-icon-load affiliate-loading" aria-hidden="true"></i>
						</button>

					</div>
				</div>
			</div>

			<div class="step-2">
				<div class="affiliate-box-header affiliate-block-content-center">

					<h3 class="affiliate-box-title source-title"><?php esc_html_e( 'Choose a source', Auto_Affiliate::DOMAIN ); ?></h3>

				</div>

				<div class="affiliate-box-selectors affiliate-box-selectors-col-2">
					<ul class="source-list">
						<script type="text/template" id="tmpl-affiliate-source-list">
							<# if ( data.length ) { #>
								<# for ( key in data ) { #>
									<li>
										<label for="affiliate-selected-source" class="affiliate-box-selector">
											<input type="radio"  name="affiliate-selected-source" value="{{{ data[ key ].value }}}">
											<span class="affiliate-source" data-source="{{{ data[ key ].value }}}">
												<ion-icon name="{{{ data[ key ].icon }}}" class="affiliate-icon"></ion-icon>
													{{{ data[ key ].value }}}
											</span>
										</label>
									</li>
									<# } #>
										<# } else { #>
											<p class="no-source">
												<?php esc_html_e( 'No source.', 'auto-affiliate' ); ?>
											</p>
											<# } #>
						</script>
					</ul>
				</div>

				<div class="affiliate-box-footer">

					<div class="affiliate-actions-left">

						<button class="affiliate-button auto-affiliate-select-previous">
							<span class="affiliate-loading-text"><?php esc_html_e( 'Previous', Auto_Affiliate::DOMAIN ); ?></span>
							<i class="affiliate-icon-load affiliate-loading" aria-hidden="true"></i>
						</button>

					</div>

					<div class="affiliate-actions-right">

						<button class="affiliate-button affiliate-go-wizard">
							<span class="affiliate-loading-text"><?php esc_html_e( 'Continue', Auto_Affiliate::DOMAIN ); ?></span>
							<i class="affiliate-icon-load affiliate-loading" aria-hidden="true"></i>
						</button>

					</div>

				</div>
			</div>

			<img src="<?php echo esc_url(AUTO_AFFILIATE_URL.'/assets/images/affiliate.png'); ?>" class="affiliate-image affiliate-image-center" aria-hidden="true" alt="<?php esc_attr_e( 'Auto Affiliate', Auto_Affiliate::DOMAIN ); ?>">
</div>

