<?php
    // All campaigns model
    $models = Auto_Affiliate_Custom_Form_Model::model()->get_all_models();
    $campaigns = $models['models'];

?>
<div id="export" class="affiliate-box-tab" data-nav="export" >

    <div class="affiliate-box-header">
        <h2 class="affiliate-box-title"><?php esc_html_e( 'Export', Auto_Affiliate::DOMAIN ); ?></h2>
    </div>

    <form class="affiliate-settings-form" method="post" action="">

    <div class="affiliate-box-body">
        <div class="affiliate-box-settings-row">

            <div class="affiliate-box-settings-col-1">
                <span class="affiliate-settings-label"><?php esc_html_e( 'Export Campaigns', Auto_Affiliate::DOMAIN ); ?></span>
                <span class="affiliate-description"><?php esc_html_e( 'Export current website campaigns and import these campaigns on your other sites.', Auto_Affiliate::DOMAIN ); ?></span>
            </div>

            <div class="affiliate-box-settings-col-2">
                <div class="affiliate-box-export-selector">
                        <label class="sui-checkbox sui-checkbox-all">
						    <input type="checkbox" checked="checked">
						    <span><?php esc_html_e( 'All Campaigns', Auto_Affiliate::DOMAIN ); ?><?php echo ' ('.count($campaigns).')';?></span>
					    </label>
                        <br>
                        <?php foreach ( $campaigns as $key => $model ) : ?>
                            <label class="sui-checkbox">
						        <input type="checkbox" checked="checked" data-index=<?php echo $key; ?>>
						            <span><?php echo esc_html( $model->settings['affiliate_campaign_name'] ); ?></span>
					        </label>
                            <br>
                        <?php endforeach; ?>

                </div>
            </div>
        </div>
    </div>

    <div class="affiliate-box-footer">
        <div class="affiliate-actions-left">
            <button class="affiliate-trigger-export affiliate-button affiliate-button-blue" type="button">
                <span class="affiliate-loading-text"><?php esc_html_e( 'Export', Auto_Affiliate::DOMAIN ); ?></span>
            </button>
        </div>

    </div>

    </form>



</div>


