<div class="affiliate-box" role="document">

    <div class="affiliate-box-header affiliate-block-content-center">

        <div class="affiliate-dialog-image" aria-hidden="true">

            <img src="<?php echo esc_url(AUTO_AFFILIATE_URL.'/assets/images/soundcloud.png'); ?>" alt="<?php esc_attr_e( 'Twitter API', Auto_Affiliate::DOMAIN ); ?>">

        </div>

        <div class="affiliate-box-content integration-header">

            <h3 class="affiliate-box-title" id="dialogTitle2"><?php esc_html_e( 'Setup Twitter API', Auto_Affiliate::DOMAIN ); ?></h3>

			<span class="affiliate-description">
                <?php esc_html_e( 'Setup Twitter API to be used by Auto Affiliate to display tweets on your blog.', Auto_Affiliate::DOMAIN ); ?>
			</span>

        </div>

    </div>

    <div class="affiliate-box-body">
        <form>

            <div class="affiliate-form-field">
                <label class="affiliate-label"><?php esc_html_e( 'Client ID', Auto_Affiliate::DOMAIN ); ?></label>
                <div class="affiliate-control-with-icon">
                    <ion-icon class="affiliate-icon-person" name="person"></ion-icon>
                    <input name="client_id" placeholder="<?php esc_html_e( 'Client ID', Auto_Affiliate::DOMAIN ); ?>" value="" class="affiliate-form-control">
                </div>
            </div>

            <div class="affiliate-form-field">
                <label class="affiliate-label"><?php esc_html_e( 'Client Secret', Auto_Affiliate::DOMAIN ); ?></label>
                <div class="affiliate-control-with-icon">
                    <ion-icon class="affiliate-icon-key" name="key"></ion-icon>
                    <input name="client_secret" placeholder="<?php esc_html_e( 'Client Secret', Auto_Affiliate::DOMAIN ); ?>" value="" class="affiliate-form-control">
                </div>
            </div>

            <div class="affiliate-border-frame affiliate-description">

                <span>
                    <?php esc_html_e( 'Follow these instructions to retrieve your Client ID and Secret.', Auto_Affiliate::DOMAIN ); ?>
                </span>

            </div>

        </form>

    </div>

    <div class="affiliate-box-footer affiliate-box-footer-center">
        <button type="button" class="affiliate-button affiliate-addon-connect">
            <span class="affiliate-loading-text"><?php esc_html_e( 'Connect', Auto_Affiliate::DOMAIN ); ?></span>
        </button>
    </div>

</div>