<?php
$settings = get_option('auto_affiliate_global_settings');
$nonce = wp_create_nonce( 'affiliate_save_global_settings' );
?>
<div id="general" class="affiliate-box-tab active" data-nav="general" >

    <div class="affiliate-box-header">
        <h2 class="affiliate-box-title"><?php esc_html_e( 'General', Auto_Affiliate::DOMAIN ); ?></h2>
    </div>

    <form class="affiliate-settings-form" method="post" action="">

    <div class="affiliate-box-body">
        <?php $this->template( 'settings/components/general-settings', $settings ); ?>
    </div>

    <div class="affiliate-box-footer">

        <div class="affiliate-actions-right">

            <button class="affiliate-save-settings affiliate-button affiliate-button-blue" type="button">
                <span class="affiliate-loading-text"><?php esc_html_e( 'Save Settings', Auto_Affiliate::DOMAIN ); ?></span>
            </button>

        </div>

    </div>

    </form>



</div>


