
<div class="page-container header-wizard">
	<div class="page-content">
		<div class="row row-custom">
			<div class="affiliate-wizard-text textalign">
				<p><?php echo esc_attr( __( 'Hi admin!', Auto_Affiliate::DOMAIN ) ); ?></p>
				<p><?php echo esc_attr( __( 'Never ever miss an opportunity to opt in for Email Notifications / Announcements about exciting New Features and Update Releases.', Auto_Affiliate::DOMAIN ) ); ?></p>
				<p><?php echo esc_attr( __( 'Contribute in helping us making our plugin compatible with most plugins and themes by allowing to share non-sensitive information about your website.', Auto_Affiliate::DOMAIN ) ); ?></p>
				<p><?php echo esc_attr( __( 'If you opt in, some data about your usage of Auto Affiliate will be sent to our servers for Compatiblity Testing Purposes and Email Notifications.', Auto_Affiliate::DOMAIN ) ); ?></p>
		    </div>
		</div>
		<div class="row row-custom">
			<div class="affiliate-wizard-text">
				<div class="textalign">
					<p><?php echo esc_attr( __( 'If you\'re not ready to Opt-In, that\'s ok too!', Auto_Affiliate::DOMAIN ) ); ?></p>
					<p><strong><?php echo esc_attr( __( 'Auto Affiliate will still work fine.', Auto_Affiliate::DOMAIN ) ); ?></strong></p>
				</div>
			</div>
			<div class="affiliate-wizard-text">
				<a href="#permissions" class="affiliate-wizard-permissions"><?php echo esc_attr( __( 'What permissions are being granted?', Auto_Affiliate::DOMAIN ) ); ?></a>
			</div>
			<div class="affiliate-wizard-text" style="display:none;" id="affiliate_wizard_set_up">
				<div class="col-md-6">
					<ul>
						<li>
							<i class="dashicons dashicons-admin-users cpo-dashicons-admin-users"></i>
							<div class="admin">
								<span><strong><?php echo esc_attr( __( 'User Details', Auto_Affiliate::DOMAIN ) ); ?></strong></span>
								<p><?php echo esc_attr( __( 'Name and Email Address', Auto_Affiliate::DOMAIN ) ); ?></p>
							</div>
						</li>
					</ul>
				</div>
				<div class="col-md-6 align align2">
					<ul>
						<li>
							<i class="dashicons dashicons-admin-plugins cpo-dashicons-admin-plugins"></i>
							<div class="admin-plugins">
								<span><strong><?php echo esc_attr( __( 'Current Plugin Status', Auto_Affiliate::DOMAIN ) ); ?></strong></span>
								<p><?php echo esc_attr( __( 'Activation, Deactivation and Uninstall', Auto_Affiliate::DOMAIN ) ); ?></p>
							</div>
						</li>
					</ul>
				</div>
				<div class="col-md-6">
					<ul>
						<li>
							<i class="dashicons dashicons-testimonial cpo-dashicons-testimonial"></i>
								<div class="testimonial">
									<span><strong><?php echo esc_attr( __( 'Notifications', Auto_Affiliate::DOMAIN ) ); ?></strong></span>
									<p><?php echo esc_attr( __( 'Updates &amp; Announcements', Auto_Affiliate::DOMAIN ) ); ?></p>
								</div>
						</li>
					</ul>
				</div>
				<div class="col-md-6 align2">
					<ul>
						<li>
							<i class="dashicons dashicons-welcome-view-site cpo-dashicons-welcome-view-site"></i>
							<div class="settings">
								<span><strong><?php echo esc_attr( __( 'Website Overview', Auto_Affiliate::DOMAIN ) ); ?></strong></span>
								<p><?php echo esc_attr( __( 'Site URL, WP Version, PHP Info, Plugins &amp; Themes Info', Auto_Affiliate::DOMAIN ) ); ?></p>
							</div>
						</li>
					</ul>
				</div>
			</div>
			<div class="affiliate-wizard-text allow">
				<div class="affiliate-wizard-actions">
					<a href="#affiliate-opt-in" class="button button-primary-wizard affiliate-wizard-opt-in">
						<strong><?php echo esc_attr( __( 'Opt-In &amp; Continue', Auto_Affiliate::DOMAIN ) ); ?> </strong>
						<i class="dashicons dashicons-arrow-right-alt cpo-dashicons-arrow-right-alt"></i>
					</a>
					<a href="#affiliate-skip" class="button button-secondary-wizard affiliate-wizard-skip" tabindex="2">
						<strong><?php echo esc_attr( __( 'Skip &amp; Continue', Auto_Affiliate::DOMAIN ) ); ?> </strong>
						<i class="dashicons dashicons-arrow-right-alt cpo-dashicons-arrow-right-alt"></i>
					</a>
					<div class="clearfix"></div>
				</div>
			</div>
			<div class="affiliate-wizard-text terms">
				<a href="<?php echo esc_url( WPHOBBY_MAIN_URL ) . '/privacy-policy/'; ?>" target="_blank"><?php echo esc_attr( __( 'Privacy Policy', Auto_Affiliate::DOMAIN ) ); ?></a>
					<span> - </span>
				<a href="<?php echo esc_url( WPHOBBY_MAIN_URL ) . '/terms-and-conditions/'; ?>" target="_blank"><?php echo esc_attr( __( 'Terms &amp; Conditions', Auto_Affiliate::DOMAIN ) ); ?></a>
			</div>
		</div>
	</div>
</div>
