<?php
defined('\ABSPATH') || exit;

/**
 * TemplateHelper class file
 *
 */
class TemplateHelper {

    const MERHANT_LOGO_DIR = 'ce-logos';

    public static function getMerhantIconUrl($domain)
    {
        $remote_url = 'http://www.google.com/s2/favicons?domain=' . urlencode($domain);
        return $remote_url;
    }

    public static function getHostName($url)
    {
        return self::getDomainWithoutSubdomain(strtolower(str_ireplace('www.', '', parse_url($url, PHP_URL_HOST))));
    }

    public static function getDomainWithoutSubdomain($domain)
    {
        if (preg_match('/(?P<domain>[a-z0-9][a-z0-9\-]{1,63}\.[a-z\.]{2,6})$/i', $domain, $regs))
        {
            return $regs['domain'];
        }
        return $domain;
    }


}
