<?php

defined('\ABSPATH') || exit;

/**
 * StylusuaParser class file
 *
 */
class StylusuaParser extends LdShopParser {

    protected $charset = 'utf-8';
    protected $currency = 'UAH';

    public function parseCatalog($max)
    {
        return $this->xpathArray(".//*[@class='name-block']/a/@href");
    }

    public function parseOldPrice()
    {
        return $this->xpathScalar(".//*[@class='price-block']//*[@class='old-price']");
    }

}
